import IORedis, { RedisOptions as _RedisOptions } from "ioredis";
declare type RedisOptions = _RedisOptions & {
    tlsCa?: {
        path?: string;
        base64?: string;
    };
};
export declare function createRedisFactory(redisUrl?: string, options?: RedisOptions): () => IORedis;
export {};
